from tkinter import Tk
from tkinter import ttk

from instance import Instance, gen_function_for_instance
from settings import MainSettings, SortType


def start_ui(instances: [Instance], settings):
    root = Tk()
    frame = ttk.Frame(root, padding=50)
    frame.grid()
    ttk.Label(frame, text="Available Databases").grid(column=0, row=0)

    # Alphanumeric sorting
    if MainSettings.Sort == SortType.ALPHA:
        instances = list(sorted(instances))

    for row, instance in enumerate(instances):
        if instance.disable and not MainSettings.ShowAll:
            continue
        ttk.Button(frame,
                   text=instance.name,
                   command=gen_function_for_instance(instance)).grid(column=0,
                                                                     row=row+1)

    root.mainloop()
